#pragma once 
/****************
 * Pass through *
 ****************/
static char* vp_pass =
"void main()\n"
"{\n"
//"	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;\n"
"	gl_Position = ftransform();\n"
"	gl_FrontColor = gl_Color;\n"
"	gl_TexCoord[0] = gl_MultiTexCoord0;\n"
"	gl_TexCoord[1] = gl_MultiTexCoord1;\n"
"}\n\0";

static char* fp_pass =
"uniform sampler2D tex;\n"
"uniform sampler2D tex2;\n"
"uniform vec2 scale;\n"
"void main()\n"
"{\n"
"	vec2 ray = (vec2(0.5, 0.5) - gl_TexCoord[1].st) * scale;\n"
"	vec4 color = texture2D(tex2,gl_TexCoord[1].st+ray);\n"
"	gl_FragColor = texture2D(tex,gl_TexCoord[0].st) * gl_Color * color.r;\n"
"}\n\0";

static char* fp_pass2 =
"uniform sampler2D tex;\n"
"uniform vec2 scale;\n"
"void main()\n"
"{\n"
"	vec2 ray = (vec2(0.5, 0.5) - gl_TexCoord[0].st) * scale;\n"
"	vec4 color = texture2D(tex,gl_TexCoord[0].st+ray);\n"
"	gl_FragColor = color * gl_Color;\n"
"}\n\0";

static char* fp_fadegrey =
"uniform sampler2D tex;\n"
"uniform float interp;\n"
"void main()\n"
"{\n"
"	vec4 color = texture2D(tex,gl_TexCoord[0].st);\n"
"	float avg = (color.r + color.b + color.g) * 0.3;\n"
"	vec4 grey = vec4(avg,avg,avg,1.0);\n"
"	color = mix(color, grey, 1.0 - interp);\n"
"	gl_FragColor = color * gl_Color;\n"
"}\n\0";
